Bug 1479944 - User unable to tick the check boxes of the folder while assigning the Alert profile
Summary: User unable to tick the check boxes of the folder while assigning the Alert p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: Linux
high
medium
Target Milestone: GA
: 5.8.2
Assignee: Aparna Karve
QA Contact: Dmitry Misharov
URL:
Whiteboard: alert
Depends On: 1473321
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 19:22 UTC by Satoe Imaishi
Modified: 2017-10-24 00:38 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1473321
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 3 CFME Bot 2017-08-16 19:43:33 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/fa7f62e1afb279a78b04f27f7a32f0f297bc02df

commit fa7f62e1afb279a78b04f27f7a32f0f297bc02df
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Fri Aug 11 00:20:06 2017 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Wed Aug 16 11:52:16 2017 -0700

    Pass :assign_to to set the `checkable_checkboxes` properties
    
    Also other checkbox related properties for Alert Profile
    Assignment will be set.
    This fixes Alert Profile assignment for ems_folders
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479944

 .../miq_policy_controller/alert_profiles.rb            | 11 +++++------
 app/presenters/tree_builder_belongs_to_hac.rb          | 18 ++++++++++++++----
 app/views/miq_policy/_alert_profile_assign.html.haml   |  9 +--------
 3 files changed, 20 insertions(+), 18 deletions(-)

Comment 4 Dmitry Misharov 2017-08-28 08:16:00 UTC
Fixed and verified in 5.8.2.0.20170824192913_b09a5f8. Checkbox can be ticked in alert profile assigning dialog.

Comment 6 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.